WebM VP8 Codec SDK: vpx_codec_cx_pkt Struct Reference

WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
vpx_codec_cx_pkt Struct Reference
Common Algorithm Interface » Encoder Algorithm Interface

Encoder output packet. More...

`#include <vpx_encoder.h>`

## Data Fields
enum vpx_codec_cx_pkt_kind | kind
union {
struct {
void * buf
size_t sz
vpx_codec_pts_t pts
unsigned long duration
vpx_codec_frame_flags_t flags
int partition_id
} frame
struct vpx_fixed_buf twopass_stats
struct vpx_psnr_pkt {
unsigned int samples [4]
uint64_t sse [4]
double psnr [4]
} psnr
struct vpx_fixed_buf raw
char pad [128-sizeof(enum vpx_codec_cx_pkt_kind)]
} | data

## Detailed Description

Encoder output packet.

This structure contains the different kinds of output data the encoder may produce while compressing a frame.

## Field Documentation

enum vpx_codec_cx_pkt_kind vpx_codec_cx_pkt::kind

packet variant

void* vpx_codec_cx_pkt::buf

compressed data buffer

size_t vpx_codec_cx_pkt::sz

length of compressed data

vpx_codec_pts_t vpx_codec_cx_pkt::pts

time stamp to show frame (in timebase units)

unsigned long vpx_codec_cx_pkt::duration

duration to show frame (in timebase units)

vpx_codec_frame_flags_t vpx_codec_cx_pkt::flags

flags for this frame

int vpx_codec_cx_pkt::partition_id

the partition id defines the decoding order of the partitions. Only applicable when "output partition" mode is enabled. First partition has id 0.

struct { ... } vpx_codec_cx_pkt::frame

data for compressed frame packet

struct vpx_fixed_buf vpx_codec_cx_pkt::twopass_stats

data for two-pass packet

unsigned int vpx_codec_cx_pkt::samples[4]

Number of samples, total/y/u/v

uint64_t vpx_codec_cx_pkt::sse[4]

sum squared error, total/y/u/v

double vpx_codec_cx_pkt::psnr[4]

PSNR, total/y/u/v

struct { ... } ::vpx_psnr_pkt vpx_codec_cx_pkt::psnr

data for PSNR packet

struct vpx_fixed_buf vpx_codec_cx_pkt::raw

data for arbitrary packets

char vpx_codec_cx_pkt::pad[128-sizeof(enum vpx_codec_cx_pkt_kind)]

fixed sz

union { ... } vpx_codec_cx_pkt::data

packet data

The documentation for this struct was generated from the following file:

- vpx/vpx_encoder.h